%% Heart of the Matter - GUI
% Electrical Engineering Senior Design Project
% Brendan Galloway, Ana Guzman, Allison Walker, Nicole Wardeberg
% Last updated May 8, 2017

% Note: any function designed for our custom board will be followed with
% _custom in the name

function varargout = SD_GUI(varargin)
% SD_GUI MATLAB code for SD_GUI.fig
%      SD_GUI, by itself, creates a new SD_GUI or raises the existing
%      singleton*.
%
%      H = SD_GUI returns the handle to a new SD_GUI or the handle to
%      the existing singleton*.
%
%      SD_GUI('CALLBACK',hObject,eventData,handles,...) calls the local
%      function named CALLBACK in SD_GUI.M with the given input arguments.
%
%      SD_GUI('Property','Value',...) creates a new SD_GUI or raises the
%      existing singleton*.  Starting from the left, property value pairs are
%      applied to the GUI before SD_GUI_OpeningFcn gets called.  An
%      unrecognized property name or invalid value makes property application
%      stop.  All inputs are passed to SD_GUI_OpeningFcn via varargin.
%
%      *See GUI Options on GUIDE's Tools menu.  Choose "GUI allows only one
%      instance to run (singleton)".
%
% See also: GUIDE, GUIDATA, GUIHANDLES

% Edit the above text to modify the response to help SD_GUI

% Last Modified by GUIDE v2.5 05-May-2017 02:03:33

% Begin initialization code - DO NOT EDIT
gui_Singleton = 1;
gui_State = struct('gui_Name',       mfilename, ...
                   'gui_Singleton',  gui_Singleton, ...
                   'gui_OpeningFcn', @SD_GUI_OpeningFcn, ...
                   'gui_OutputFcn',  @SD_GUI_OutputFcn, ...
                   'gui_LayoutFcn',  [] , ...
                   'gui_Callback',   []);
if nargin && ischar(varargin{1})
    gui_State.gui_Callback = str2func(varargin{1});
end

if nargout
    [varargout{1:nargout}] = gui_mainfcn(gui_State, varargin{:});
else
    gui_mainfcn(gui_State, varargin{:});
end
% End initialization code - DO NOT EDIT

% --- Executes just before SD_GUI is made visible.
function SD_GUI_OpeningFcn(hObject, eventdata, handles, varargin)
% This function has no output args, see OutputFcn.
% hObject    handle to figure
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
% varargin   command line arguments to SD_GUI (see VARARGIN)

% Choose default command line output for SD_GUI
handles.output = hObject;

% Default filter value
default=0.01;
set(handles.filter_textbox,'String',num2str(default));

% Update handles structure
guidata(hObject, handles);

% Display Notre Dame logo
%axes(handles.axes4);
%mark=imread('ND.png');
%imshow(mark);

% UIWAIT makes SD_GUI wait for user response (see UIRESUME)
% uiwait(handles.figure1);

% --- Outputs from this function are returned to the command line.
function varargout = SD_GUI_OutputFcn(hObject, eventdata, handles) 
% varargout  cell array for returning output args (see VARARGOUT);
% hObject    handle to figure
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Get default command line output from handles structure
varargout{1} = handles.output;

%% Select File
% Calculates concentrations

function filename_Callback(hObject, eventdata, handles)
% hObject    handle to filename (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of filename as text
%        str2double(get(hObject,'String')) returns contents of filename as a double
global IR
global RED
global concHbO2
global concHb
global seconds
global feet
global inches
global frequency
global IPA
global AI
global PPT

filename_in=get(handles.filename,'String');
[IR, RED, concHbO2,concHb, seconds] = Readandcalculate(filename_in);
feet=0;
inches=0;
frequency=500;
axes(handles.axes1);

if get(handles.checkbox1,'Value') == 1
    [HR,HRV]=heartrate_section0(IR);
    [IPAAverage,AIAverage,PPTAverage]=Analysis(concHbO2);
else
    [HR,HRV]=heartrate_section0_custom(IR);
    [IPAAverage,AIAverage,PPTAverage]=Analysis_Custom(concHbO2);
end
set(handles.HR_textbox,'String',HR);
set(handles.HRV_textbox,'String',HRV);


IPA = IPAAverage;
AI = AIAverage;
PPT = PPTAverage;

set(handles.IPA_text,'String',IPAAverage);
set(handles.AI_text,'String',AIAverage);


guidata(hObject, handles);

function filename_CreateFcn(hObject, eventdata, handles)
% hObject    handle to filename (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end


%% Buttons

function HbO2_button_Callback(hObject, eventdata, handles)
% hObject    handle to HbO2_button (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
% Hint: get(hObject,'Value') returns toggle state of HbO2_button

% Plot whichever concentration is selected
global concHbO2
global seconds

if get(handles.HbO2_button,'Value') == 1
    set(handles.Hb_button,'Value',0);
    %concHbO2=handles.concHbO2;
    %seconds = handles.seconds;
    axes(handles.axes1);
   
    %Filter percentage
    loess_percent=str2double(get(handles.filter2_text,'String'));
    concHbO2_smooth=smooth(concHbO2,loess_percent,'loess');
    
    %Axis bounds, color properties
    plot(seconds,concHbO2_smooth);
    xlabel('Time (seconds)');
    ylabel('Concentration');
    set(gca, 'YTick', []);
    set(gca, 'XColorMode','manual');
    set(gca, 'XColor','w');
    set(gca, 'YColorMode','manual');
    set(gca, 'YColor','w');
    start_time=str2double(get(handles.start_textbox,'String'));
    end_time=str2double(get(handles.end_textbox,'String'));
    axis([start_time end_time -Inf Inf]);
end

function Hb_button_Callback(hObject, eventdata, handles)
% hObject    handle to Hb_button (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hint: get(hObject,'Value') returns toggle state of Hb_button

% Plot the concentration that is selected
global concHb
global seconds
if get(handles.Hb_button,'Value') == 1
    set(handles.HbO2_button,'Value',0);
    %concHb=handles.concHb;
    %seconds=handles.seconds;
    axes(handles.axes1);
    loess_percent=str2double(get(handles.filter2_text,'String'));
    concHb_smooth=smooth(concHb,loess_percent,'loess');
    
    %Axis bounds, color properties
    plot(seconds,concHb_smooth);
    xlabel('Time (seconds)');
    ylabel('Concentration');
    set(gca, 'YTick', []);
    set(gca, 'XColorMode','manual');
    set(gca, 'XColor','w');
    set(gca, 'YColorMode','manual');
    set(gca, 'YColor','w');
    start_time=str2double(get(handles.start_textbox,'String'));
    end_time=str2double(get(handles.end_textbox,'String'));
    axis([start_time end_time -Inf Inf]);
    guidata(hObject, handles);
end

function time_button_Callback(hObject, eventdata, handles)
% hObject    handle to time_button (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Update the time (in seconds) displayed
global concHbO2
global IR

starttime=str2double(get(handles.start_textbox,'String'));
endtime=str2double(get(handles.end_textbox,'String'));

% Update stored concentration
%concHbO2=handles.concHbO2;

% Plot whichever concentration is selected
HbButton_status= get(handles.Hb_button,'Value');
if HbButton_status == 1
   Hb_button_Callback(hObject, eventdata,handles);
else
   HbO2_button_Callback(hObject, eventdata, handles);
end

% Update stored IR wave
%IR= handles.IR;

% Decide if you are calculating from the Eval board or custom board
if get(handles.checkbox1,'Value') == 1
    [HR,HRV]=heartrate_section1(IR,starttime,endtime);
else
    [HR,HRV]=heartrate_section1_custom(IR,starttime,endtime);
end

set(handles.HR_textbox,'String',HR);
set(handles.HRV_textbox,'String',HRV);

% Select which derivative to plot
FirstderButton_status= get(handles.firstder_button,'Value');
if FirstderButton_status == 1
   firstder_button_Callback(hObject, eventdata,handles);
else
   secondder_button_Callback(hObject, eventdata, handles);
end
guidata(hObject, handles);

function firstder_button_Callback(hObject, eventdata, handles)
% hObject    handle to firstder_button (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hint: get(hObject,'Value') returns toggle state of firstder_button

% Plot first derivative
global concHbO2
global seconds

loess_percent=str2double(get(handles.filter_textbox,'String'));
if get(handles.firstder_button,'Value') == 1
    set(handles.secondder_button,'Value',0);
    %conc=handles.concHbO2;
    conc = concHbO2;
    [firstder,secondder] = derivatives(conc,loess_percent);
    axes(handles.axes2);
    %seconds=handles.seconds;
    seconds2 = seconds;
    %seconds=seconds(1:(length(seconds)-1));
    seconds2=seconds2(1:(length(seconds2)-1));
    
    %Axis bounds
    %plot(seconds,firstder);
    plot(seconds2,firstder);
    xlabel('Time (seconds)');
    ylabel('First Derivative of HbO_2');
    set(gca, 'YTick', []);
    set(gca, 'XColorMode','manual');
    set(gca, 'XColor','w');
    set(gca, 'YColorMode','manual');
    set(gca, 'YColor','w');
    start_time=str2double(get(handles.start_textbox,'String'));
    end_time=str2double(get(handles.end_textbox,'String'));
    axis([start_time end_time -Inf Inf]);
    
end

function secondder_button_Callback(hObject, eventdata, handles)
% hObject    handle to secondder_button (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hint: get(hObject,'Value') returns toggle state of secondder_button

% Plot second derivative
global concHbO2
global seconds

loess_percent=str2double(get(handles.filter_textbox,'String'));
if get(handles.secondder_button,'Value') == 1
    set(handles.firstder_button,'Value',0);
    %conc=handles.concHbO2;
    conc=concHbO2;
    %seconds=handles.seconds;
    seconds2=seconds;
    %seconds=seconds(1:(length(seconds)-2));
    seconds2=seconds2(1:(length(seconds2)-2));
    [firstder,secondder] = derivatives(conc,loess_percent);
    axes(handles.axes2);

    %plot(seconds,secondder);
    plot(seconds2,secondder);
    xlabel('Time (seconds)');
    ylabel('Second Derivative of HbO_2');
    set(gca, 'YTick', []);
    set(gca, 'XColorMode','manual');
    set(gca, 'XColor','w');
    set(gca, 'YColorMode','manual');
    set(gca, 'YColor','w');
    start_time=str2double(get(handles.start_textbox,'String'));
    end_time=str2double(get(handles.end_textbox,'String'));
    axis([start_time end_time -Inf Inf]);
end

%% Enter times, height, and age

function start_textbox_Callback(hObject, eventdata, handles)
% hObject    handle to start_textbox (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of start_textbox as text
%        str2double(get(hObject,'String')) returns contents of start_textbox as a double

function start_textbox_CreateFcn(hObject, eventdata, handles)
% hObject    handle to start_textbox (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end


function end_textbox_Callback(hObject, eventdata, handles)
% hObject    handle to end_textbox (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of end_textbox as text
%        str2double(get(hObject,'String')) returns contents of end_textbox as a double


% --- Executes during object creation, after setting all properties.
function end_textbox_CreateFcn(hObject, eventdata, handles)
% hObject    handle to end_textbox (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end

function age_text_Callback(hObject, eventdata, handles)
% hObject    handle to age_text (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of age_text as text
%        str2double(get(hObject,'String')) returns contents of age_text as a double
global age

age=str2double(get(handles.age_text,'String'));
%handles.age=age;

% --- Executes during object creation, after setting all properties.
function age_text_CreateFcn(hObject, eventdata, handles)
% hObject    handle to age_text (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end

function feet_text_Callback(hObject, eventdata, handles)
% hObject    handle to feet_text (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of feet_text as text
%        str2double(get(hObject,'String')) returns contents of feet_text as a double

global feet
global inches
global meters
global PPT

%Convert to metric and update SI
feet=str2double(get(handles.feet_text,'String'));
%handles.feet=feet;
inches=str2double(get(handles.inches_text,'String'));
meters=feet_to_meters(feet,inches);
%handles.meters=meters;
PPTAverage= PPT;
SI=stiffnessindex(meters,PPTAverage);
set(handles.SI_text,'String',SI);

% --- Executes during object creation, after setting all properties.
function feet_text_CreateFcn(hObject, eventdata, handles)
% hObject    handle to feet_text (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end

function inches_text_Callback(hObject, eventdata, handles)
% hObject    handle to inches_text (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of inches_text as text
%        str2double(get(hObject,'String')) returns contents of inches_text as a double

% Convert to metric and update stiffness index
global feet
global inches
global meters
global PPT

feet=str2double(get(handles.feet_text,'String'));
%handles.feet=feet;
inches=str2double(get(handles.inches_text,'String'));
meters=feet_to_meters(feet,inches);
%handles.meters=meters;
PPTAverage = PPT;
SI=stiffnessindex(meters,PPTAverage);
set(handles.SI_text,'String',SI);

% --- Executes during object creation, after setting all properties.
function inches_text_CreateFcn(hObject, eventdata, handles)
% hObject    handle to inches_text (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end

%% Filters

function filter_textbox_Callback(hObject, eventdata, handles)
% hObject    handle to filter_textbox (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of filter_textbox as text
%        str2double(get(hObject,'String')) returns contents of filter_textbox as a double
if get(handles.firstder_button,'Value') == 1
    firstder_button_Callback(hObject, eventdata, handles);
else %get(handles.secondder_button_Callback(hObject,eventdata,handles) == 1
    secondder_button_Callback(hObject,eventdata,handles);
    end

% --- Executes during object creation, after setting all properties.
function filter_textbox_CreateFcn(hObject, eventdata, handles)
% hObject    handle to filter_textbox (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end

function filter2_text_Callback(hObject, eventdata, handles)
% hObject    handle to filter2_text (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of filter2_text as text
%        str2double(get(hObject,'String')) returns contents of filter2_text as a double
if get(handles.HbO2_button,'Value') == 1
    HbO2_button_Callback(hObject,eventdata,handles);
else Hb_button_Callback(hObject, eventdata,handles);
end

% --- Executes during object creation, after setting all properties.
function filter2_text_CreateFcn(hObject, eventdata, handles)
% hObject    handle to filter2_text (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end

%% Textboxes that only display information

function HR_textbox_Callback(hObject, eventdata, handles)
% hObject    handle to HR_textbox (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of HR_textbox as text
%        str2double(get(hObject,'String')) returns contents of HR_textbox as a double

% --- Executes during object creation, after setting all properties.
function HR_textbox_CreateFcn(hObject, eventdata, handles)
% hObject    handle to HR_textbox (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end

function HRV_textbox_Callback(hObject, eventdata, handles)
% hObject    handle to HRV_textbox (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% --- Executes during object creation, after setting all properties.
function HRV_textbox_CreateFcn(hObject, eventdata, handles)
% hObject    handle to HRV_textbox (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end

function IPA_text_Callback(hObject, eventdata, handles)
% hObject    handle to IPA_text (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of IPA_text as text
%        str2double(get(hObject,'String')) returns contents of IPA_text as a double

% --- Executes during object creation, after setting all properties.
function IPA_text_CreateFcn(hObject, eventdata, handles)
% hObject    handle to IPA_text (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end

function AI_text_Callback(hObject, eventdata, handles)
% hObject    handle to AI_text (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of AI_text as text
%        str2double(get(hObject,'String')) returns contents of AI_text as a double

% --- Executes during object creation, after setting all properties.
function AI_text_CreateFcn(hObject, eventdata, handles)
% hObject    handle to AI_text (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end

function SI_text_Callback(hObject, eventdata, handles)
% hObject    handle to SI_text (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of SI_text as text
%        str2double(get(hObject,'String')) returns contents of SI_text as a double

% --- Executes during object creation, after setting all properties.
function SI_text_CreateFcn(hObject, eventdata, handles)
% hObject    handle to SI_text (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end

%% Popup Menu
% --- Executes on selection change in popupmenu1.
function popupmenu1_Callback(hObject, eventdata, handles)
% hObject    handle to popupmenu1 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: contents = cellstr(get(hObject,'String')) returns popupmenu1 contents as cell array
%        contents{get(hObject,'Value')} returns selected item from popupmenu1

% Determine the selected data set.
str = get(handles.popupmenu1, 'String');
val = get(handles.popupmenu1,'Value');
% Set current data to the selected data set.
switch str{val};
case 'PPG Waveform' % User selects PPG Waveform
   axes(handles.axes3);
   ppgwave=imread('ppgwave.png');
   imshow(ppgwave);
case 'Second Derivative' % User selects Second Derivative.
   axes(handles.axes3);
   secondd=imread('2d.png');
   imshow(secondd);
case 'Inflection Point Area'
    axes(handles.axes3);
    IPApic=imread('IPA.png');
    imshow(IPApic);
end
% Save the handles structure.
guidata(hObject,handles)

% --- Executes during object creation, after setting all properties.
function popupmenu1_CreateFcn(hObject, eventdata, handles)
% hObject    handle to popupmenu1 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: popupmenu controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end

%% Checkbox for info type
% --- Executes on button press in checkbox1.
function checkbox1_Callback(hObject, eventdata, handles)
% hObject    handle to checkbox1 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hint: get(hObject,'Value') returns toggle state of checkbox1
