%HbO2 relative concentration calculation function

function  [cHb, cHbO2, cH2O] = calcconcs(I_1,I_2,I_3)

%incident light intensities
I_1in = 0.1;
I_2in = 0.1;
I_3in = 0.1;

%calculate A values
A_1 = log(I_1in/I_1);
A_2 = log(I_2in/I_2);
A_3 = log(I_3in/I_3);

%average path lengths
L_1 = 0.5;
L_2 = 0.5;
L_3 = 0.5;

%calculate concentrations, using coeffs calculated in coeffcalcs.m
cHb = (A_1/L_1)*(0.00022845) + (A_2/L_2)*(-0.0092) + (A_3/L_3)*(0.0035);
cHbO2 = (A_1/L_1)*(-0.00015731) + (A_2/L_2)*(0.0106) + (A_3/L_3)*(-0.0041);
cH2O = (A_1/L_1)*(0.0062) + (A_2/L_2)*(-0.6192) + (A_3/L_3)*(0.481);

end