% Calculate heart rate and HRV over a specified time interval 
function [HR] = heartrate_section1(waveform,starttime,endtime)

resample_factor = 1;
Frequency = 500;

% Convert start time to position in array
starttime_pos = starttime*Frequency+1;
endtime_pos = endtime*Frequency+1;

% average HR calculation
waveform = waveform(starttime_pos:endtime_pos);

waveform_smooth = smooth(waveform,0.01,'loess');
length_waveform = length(waveform_smooth);
%[peaks,locs] = findpeaks(waveform_smooth,1:length_waveform);
[peaks,locs] = findpeaks(waveform_smooth,1:length_waveform,'MinPeakProminence',0.005);
%findpeaks(waveform_smooth,1:length_waveform,'MinPeakProminence',0.01);
numpeaks = length(peaks);

%Locs accounting for resampling
locs_real = locs*resample_factor;
%Locs in terms of seconds
locs_s = locs_real*(1/Frequency);
%Locs in terms of ms
locs_ms = locs_s*1000;

for i=1:numpeaks-1
    HR_NN(i) = locs_s(i+1)-locs_s(i);
end

    num_NN = length(HR_NN);
    sum_HR_NN = sum(HR_NN);
    sec_p_beat = sum_HR_NN/num_NN;
    beats_p_sec = 1/sec_p_beat;
    beats_p_min = beats_p_sec*60;
    
HR = beats_p_min;

%% Heart Rate Variability
%for i=1:numpeaks-1
  %  time(i) = locs_ms(i+1)-locs_ms(i);
%end

%HRV = std(time);

end
    