function [I_1, I_2, cHb, cHbO2, oxygenation, seconds] = ReadCalc2eval(filename)

%% Read in Data
data = xlsread(filename);
I_1 = data(:,1);
I_2 = data(:,2);

%% Concentration calculations
for i=1:length(I_1)
    seconds(i) = 0.002*i-0.002; %create seconds array using eval board 500 Hz sampling rate (0.002 s/sample)
    I_1i = I_1(i);
    I_2i = I_2(i);
    [cHb(i), cHbO2(i)] = calc2concs(I_1i, I_2i);
    oxygenation(i) = 100.*cHb(i)./(cHbO2(i)+cHb(i));
end