function [I_1, I_2, I_3, cHb, cHbO2, cH2O, oxygenation, seconds] = ReadCalc3eval(filename)

%% Read in Data
data = xlsread(filename);
I_1 = data(:,1);
I_2 = data(:,2);
I_3 = data(:,3);

%% Concentration calculations
for i=1:length(I_1)
    seconds(i) = 0.002*i-0.002; %create seconds array using eval board 500 Hz sampling rate (0.002 s/sample)
    I_1i = I_1(i);
    I_2i = I_2(i);
    I_3i = I_3(i);
    [cHb(i), cHbO2(i), cH2O(i)] = calc3cons(I_1i, I_2i, I_3i);
    oxygenation(i) = 100.*cHbO2(i)./(cHbO2(i)+cHb(i));
end